﻿<div class="row form-group mt-4">
    <div class="col">
        <AutocompleteSearchCell @ref="_autocompleteSearchCell" />
    </div>
</div>

<div class="row form-group mt-2">
    <div class="col-sm-5">
        <label>Início</label>
        <input type="datetime-local" class="form-control" @bind="_beginDateTime" />
    </div>

    <div class="col-sm-5">
        <label>Fim</label>
        <input type="datetime-local" class="form-control" @bind="_endDateTime" />
    </div>

    <div class="col-sm-2 mt-auto">
        <button class="btn btn-primary" @onclick="GetData">Ver Dados</button>
    </div>
</div>

@if (_loadingData)
{
    <div class="text-center w-100 mt-2">
        <div class="spinner-border" style="width: 3rem; height: 3rem;" role="status">
            <span class="sr-only">Loading...</span>
        </div>
    </div>
}
else
{
    if (_noData)
    {
        <div class="alert alert-danger mt-2" role="alert">
            Dados indisponíveis!
        </div>
    }
    else
    {
        <h3 class="mb-2">Valores Médios</h3>
        <div class="row">
            <div class="col-sm-4">
                <div id="cellTemperature" class="dayNightPlot"></div>
            </div>

            <div class="col-sm-4">
                <div id="cellHumidity" class="dayNightPlot"></div>
            </div>

            <div class="col-sm-4">
                <div id="cellUv" class="dayNightPlot"></div>
            </div>
        </div>

        <div class="row">
            <div class="col-sm-4">
                <div id="cellSmoke" class="dayNightPlot"></div>
            </div>

            <div class="col-sm-4">
                <div id="cellGas" class="dayNightPlot"></div>
            </div>

            <div class="col-sm-4">
                <div id="cellFire" class="dayNightPlot"></div>
            </div>
        </div>
    }
}
